<div class="background">
  <div class="container">
    <div class="main-container">
  
      <div class="top-cell top-cell-left">
        <div class="top-cell-left-content">
          <mat-card style="max-width: 400px;">
            
            <mat-card-title  style="text-align: center;">
                <span class="profile-title">Profile</span>
            </mat-card-title>

            <mat-card-header>
              <img class="image" [src]="createImgPath(user.imageURL)" alt="Profile picture">
            </mat-card-header>

            <mat-card-content style="text-align: center;">

              <mat-list>
                <mat-list-item>
                  <div class="icon">
                    <mat-icon matListIcon>account_box</mat-icon>
                  </div>
                  <span class="profile-description">{{user.name}}</span>
                </mat-list-item>

                <mat-list-item>
                  <span class="icon">
                    <mat-icon matListIcon>android</mat-icon>
                  </span>
                  <span class="profile-description">{{user.userName}}</span>
                </mat-list-item>
        
                <mat-list-item>
                  <div class="icon">
                    <mat-icon matListIcon>mail</mat-icon>
                  </div>
                  <span class="profile-description">{{user.email}}</span>
                </mat-list-item>
              </mat-list>
            </mat-card-content>

            <mat-card-footer>
              <div class="buttons">
                <button mat-raised-button color="accent" routerLink="../users/edit/{{user.id}}">Update Profile</button>
                <button mat-raised-button color="warn" (click)="openUserDeleteDialog()">
                  Delete
                </button>
              </div>
            </mat-card-footer>

          </mat-card>
        </div>
        
      </div>
  
      <aside class="top-cell top-cell-left">
        <mat-card>

          <mat-card-title  style="text-align: center;">
            <span class="profile-playlists">My Playlists</span>
            <mat-list class="user-playlists">

              <mat-list-item class="user-playlists-header">
  
                  <div class="user-playlist-title-header">
                      <span>Title</span>
                  </div>

                  <div class="user-playlist-duration-header">
                      <span>Duration</span>
                  </div>
              </mat-list-item>

          </mat-list>

          </mat-card-title>

          <mat-card-content *ngIf="userPlaylists">
            <div *ngIf="userPlaylists.length === 0" class="no-content">
              <span>There are no personal playlists yet.</span>
            </div>
  
            <div *ngIf="userPlaylists.length > 0">
  
              <div  class="scrolling-wrapper">
  
                <mat-list class="user-playlists">
    
                  <div *ngFor="let playlist of userPlaylists">
                    <mat-list-item class="user-playlist-item">
    
                      <div class="user-playlist-item-photo">
                        <img class="photo" src="{{ playlist.pictureUrl }}" alt="Playlist photo">
                      </div>
    
                      <div class="user-playlist-item-title">
                        <a class="title" routerLink="/details/{{ playlist.id }}">{{ playlist.name }}</a>
                      </div>
    
                      <div class="user-playlist-item-duration">
                        <span class="duration">{{ playlist.totalPlaytime | minutes }}</span>
                      </div>
    
                      <div class="user-playlist-item-options">
                        <button mat-icon-button [matMenuTriggerFor]="menu" #menuTrigger>
                          <mat-icon matIcon class="options">more_horiz</mat-icon>
                        </button>
                        <mat-menu #menu="matMenu">
                          <button mat-menu-item routerLink="/update/{{playlist.id}}">Edit</button>
                          <button mat-menu-item (click)="openPlaylistDeleteDialog(playlist.id)">Delete</button>
                        </mat-menu>
                      </div>
    
                    </mat-list-item>
                  </div>
    
                </mat-list>
              
              </div>
            </div>
  
          </mat-card-content>
      </mat-card>
      </aside>
  
    </div>
  </div>
</div>


